Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.blueprint.reflect
Interface ComponentMetadata

All Superinterfaces:
  Metadata, NonNullMetadata

All Known Subinterfaces:
  BeanMetadata, ReferenceListMetadata, ReferenceMetadata, ServiceMetadata, ServiceReferenceMetadata

    public interface ComponentMetadata

extends NonNullMetadata

Metadata for managed components. This is the base type for `BeanMetadata`, `ServiceMetadata` and `ServiceReferenceMetadata`.

Version:
  $Revision: 7563 $

Field Summary
`static int` | `ACTIVATION_EAGER` The component's manager must eagerly activate the component.
`static int` | `ACTIVATION_LAZY` The component's manager must lazily activate the component.

Method Summary
`int` | `getActivation()` Return the activation strategy for the component.
`List` | `getDependsOn()` Return the ids of any components listed in a `depends-on` attribute for the component.
`String` | `getId()` Return the id of the component.

Field Detail

### ACTIVATION_EAGER

    static final int ACTIVATION_EAGER

  The component's manager must eagerly activate the component.

  See Also:
    `getActivation()`, Constant Field Values

### ACTIVATION_LAZY

    static final int ACTIVATION_LAZY

  The component's manager must lazily activate the component.

  See Also:
    `getActivation()`, Constant Field Values

Method Detail

### getId

    String getId()

  Return the id of the component.

  Returns:
    The id of the component. The component id can be `null` if this is an anonymously defined and/or inlined component.

### getActivation

    int getActivation()

  Return the activation strategy for the component. This is specified by the `activation` attribute of a component definition. If this is not set, then the `default-activation` in the `blueprint` element is used. If that is also not set, then the activation strategy is `ACTIVATION_EAGER`.

  Returns:
    The activation strategy for the component.
  See Also:
    `ACTIVATION_EAGER`, `ACTIVATION_LAZY`

### getDependsOn

    List getDependsOn()

  Return the ids of any components listed in a `depends-on` attribute for the component.

  Returns:
    An immutable List of component ids that are explicitly declared as a dependency, or an empty List if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.